> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List market makers



## OpenAPI

````yaml /openapi.json get /exchange/market-makers
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /exchange/market-makers:
    get:
      tags:
        - exchange
      summary: List market makers
      operationId: Exchange.Web.MarketMakerController.list
      parameters:
        - description: Cursor
          in: query
          name: before
          schema:
            type: string
        - description: After
          in: query
          name: after
          schema:
            type: string
        - description: Limit
          in: query
          name: limit
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketMakersResponse'
          description: Market maker list
      callbacks: {}
components:
  schemas:
    MarketMakersResponse:
      description: Response schema for multiple market makers
      properties:
        data:
          description: Market makers
          items:
            $ref: '#/components/schemas/MarketMaker'
          type: array
        pagination:
          $ref: '#/components/schemas/Pagination'
      title: MarketMakersResponse
      type: object
    MarketMaker:
      example:
        archived: false
        contacts:
          - email: test@user.com
            id: 7da8e726-a1bc-11ee-80cf-560f156a658b
            name: Test User
            type: user
        email: anon@nymous.com
        entity:
          id: 6ebe0a0f-bb8f-49be-80ea-c6b72c348fea
          type: business
        id: 7da75a46-a1bc-11ee-9a32-560f156a658b
        name: Anon Nymous
        swap_provider: false
        swap_weight: 0
      properties:
        archived:
          description: Archived?
          type: boolean
        contacts:
          items:
            $ref: '#/components/schemas/Contact'
          type: array
        email:
          description: Email
          type: string
        entity:
          properties:
            id:
              description: Account id
              type: string
            type:
              description: Account type
              enum:
                - business
                - personal
              type: string
          type: object
        id:
          description: Id
          type: string
        name:
          description: Name
          type: string
        swap_provider:
          description: Is swap provider?
          type: boolean
        swap_weight:
          description: Swap weight
          type: integer
      title: MarketMaker
      type: object
    Pagination:
      example:
        after: b101f718-d133-450c-a572-c281c7341803
        before: null
        limit: 15
      properties:
        after:
          description: After cursor
          nullable: true
          type: string
        before:
          description: Before cursor
          nullable: true
          type: string
        limit:
          description: Limit
          type: integer
      title: Pagination
      type: object
    Contact:
      example:
        email: test@user.com
        id: 7da8e726-a1bc-11ee-80cf-560f156a658b
        name: Test User
        type: user
      properties:
        email:
          description: Email
          type: string
        id:
          description: Id
          type: string
        name:
          description: Name
          type: string
        type:
          enum:
            - business
            - user
          type: string
      title: Contact
      type: object

````